Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Alle Schraffuren Auswählen / auf Farbe 9 legen / nach ganz unten legen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Alle Schraffuren Auswählen / auf Farbe 9 legen / nach ganz unten legen (329 mal gelesen)
Manuel486
Mitglied
Technischer Zeichner Elektro


Sehen Sie sich das Profil von Manuel486 an!   Senden Sie eine Private Message an Manuel486  Schreiben Sie einen Gästebucheintrag für Manuel486

Beiträge: 12
Registriert: 31.01.2020

Windows 10 - 64-Bit - 16GB RAM - Intel Xeon CPU E5-2620 v2 @ 2.10 GHz
AutoCAD MEP 2019 - Revit 2019

erstellt am: 05. Feb. 2020 16:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo.

Hat von euch vielleicht jemand eine LISP oder Befehlsstring,
der mir die Aufgabe oben im Betreff Ausführen würde ?
Das selbe müsste danach auch mit einer SOLID Schraffur gemacht werden, allesdings auf die Farbe PANTONE 9064 C.

Den Befehl zur Auswahl der Schraffur habe ich:
^C^C(sssetfirst nil (ssget "_X" '((0 . "HATCH")(410 . "Model"))))

Ich komme aber beim umlegen der Farbe nicht weiter.

Den Befehl abschließen würde ich dann mit HATCHTOBACK.

MFG
Manuel486

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3101
Registriert: 07.06.2001

AMD A8-3870, W7-64bit, 16GB RAM, HP DJ T2300mfp, HP DJ 500, Maus:G700s, Sub:Infrastructure Design Suite, Excel 2013,

erstellt am: 06. Feb. 2020 07:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Manuel486 10 Unities + Antwort hilfreich

Servus, für die Farbe kann man ändern/_change verwenden.

------------------
<----- Bitte Systeminfo eintragen, warum siehst du hier. Schöne Grüsse aus der Steiermark  Bernd P.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 06. Feb. 2020 07:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Manuel486 10 Unities + Antwort hilfreich

Hallo Manuell,
mit folgendem Code müßte es funktionieren. Ich habe die Gruppencodes 420 und 430 in die Objektliste der Schraffuren angehängt, in AutoCAD 2019 funktioniert es.

Code:

(defun c:test ( / AWS N OBJLIST)
  (if (setq aws (ssget "_X" (list (cons 0 "HATCH")(cons 2 "SOLID"))))
    (progn
      (setq n 0)
      (repeat (sslength aws)
        (setq objList (vl-remove-if '(lambda(X)
                                      (member(car X)'(420 430)))
                        (entget(ssname aws n)))
              objList (append objList
                        (list '(420 . 15856094)
                              '(430 . "PANTONE+ Pastels & Neons Coated$PANTONE 9064 C"))))

        (entmod objList)
        (setq n (+ n 1)))
      (command "_.hatchtoback"))
    )
  (princ))


------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Multifilter Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 311
Registriert: 15.07.2011

ACA2018
Windows10

erstellt am: 06. Feb. 2020 11:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Manuel486 10 Unities + Antwort hilfreich

Um das handhaben von Farben zu vereinfachen hatte ich vor einiger Zeit hier mal was geschrieben.http://ww3.cad.de/foren/ubb/Forum145/HTML/004644.shtml#000015

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Manuel486
Mitglied
Technischer Zeichner Elektro


Sehen Sie sich das Profil von Manuel486 an!   Senden Sie eine Private Message an Manuel486  Schreiben Sie einen Gästebucheintrag für Manuel486

Beiträge: 12
Registriert: 31.01.2020

Windows 10 - 64-Bit - 16GB RAM - Intel Xeon CPU E5-2620 v2 @ 2.10 GHz
AutoCAD MEP 2019 - Revit 2019

erstellt am: 06. Feb. 2020 12:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Der Befehl klappt sehr gut, danke dafür.
Ich habe mich aber etwas verkehrt ausgedrückt.

Ich möchte in einer Zeichnung folgendes tun, in genau dieser Reihenfolge:
- Alle Schraffuren auswählen -> auf Farbe 9 legen -> ganz nach unten legen
- Alle SOLID Schraffuren auswählen -> auf Farbe PANTONE 9064 C -> ganz nach unten

Zur Erklärung:
Es geht darum einen Architekten-Plan auf unsere Bedürfnisse "Aufzubereiten",
wenn ich also eine Wand habe mit einer ANSI31 Schraffur und darunter eine SOLID
z.B. als Brandschutzangabe, dann soll die ANSI31 auf Farbe 9 liegen und die SOLID auf Pantone.
Die SOLID muss immer unter allem anderen liegen, damit man Objekte darüber auch sieht ;-)

Habe versucht deinen Befehl auf Farbe 9 umzuschreiben aber er klappt nicht.

(defun c:test ( / AWS N OBJLIST)
  (if (setq aws (ssget "_X" (list (cons 0 "HATCH"))))
    (progn
      (setq n 0)
      (repeat (sslength aws)
        (setq objList (vl-remove-if '(lambda(X)
                                      (member(car X)'(62)))
                        (entget(ssname aws n)))
              objList (append objList
                        (list '(62 . 9))))
        (entmod objList)
        (setq n (+ n 1)))
      (command "_.hatchtoback"))
    )
  (princ))


Wärst du so nett und würdest mir das in einem Befehl zusammenfassen?!

MFG
Manuel486

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 06. Feb. 2020 12:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Manuel486 10 Unities + Antwort hilfreich

Hallo Manuel,
wahrscheinlich müssen nur vorher eventuell bestehende Gruppencodes 420 und 430 entfernt werden.

Ungetestet:

Code:

(defun c:test ( / AWS N OBJLIST)
  (if (setq aws (ssget "_X" (list (cons 0 "HATCH"))))
    (progn
      (setq n 0)
      (repeat (sslength aws)
        (setq objList (vl-remove-if '(lambda(X)
                                      (member(car X)'(62 420 430)))
                        (entget(ssname aws n)))
              objList (append objList
                        (list '(62 . 9))))
        (entmod objList)
        (setq n (+ n 1)))
      (command "_.hatchtoback"))
    )
  (princ))

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Multifilter Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Manuel486
Mitglied
Technischer Zeichner Elektro


Sehen Sie sich das Profil von Manuel486 an!   Senden Sie eine Private Message an Manuel486  Schreiben Sie einen Gästebucheintrag für Manuel486

Beiträge: 12
Registriert: 31.01.2020

Windows 10 - 64-Bit - 16GB RAM - Intel Xeon CPU E5-2620 v2 @ 2.10 GHz
AutoCAD MEP 2019 - Revit 2019

erstellt am: 06. Feb. 2020 13:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Das ist der Befehl für die SOLIDS.
Er legt die Solids auf die richtige Farbe.


(defun c:Farben-umlegen ( / AWS N OBJLIST)
(defun c:test ( / AWS N OBJLIST)
  (if (setq aws (ssget "_X" (list (cons 2 "SOLID"))))
    (progn
      (setq n 0)
      (repeat (sslength aws)
        (setq objList (vl-remove-if '(lambda(X)
                                      (member(car X)'(420 430)))
                        (entget(ssname aws n)))
              objList (append objList
                        (list '(420 . 15856094)
                              '(430 . "PANTONE+ Pastels & Neons Coated$PANTONE 9064 C"))))
        (entmod objList)
        (setq n (+ n 1)))
      (command "_.hatchtoback"))
    )
  (princ))

Am Ende des Befehls steht:
5 Schraffurobjekt(e) werden nach hinten gesetzt.
Ich habe aber 2 SOLIDS und 3 ANSI Schraffuren in meiner Test Zeichnung.
(if (setq aws (ssget "_X" (list (cons 2 "SOLID")))) -> wählt nur SOLID aus
Die Farbe ändert er nur bei den SOLIDS wie es sein soll, aber er soll auch nur die SOLIDS nach hinten legen...
Der Befehl legt immer wieder alle Schraffuren nach hinten...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19664
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 06. Feb. 2020 13:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Manuel486 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Manuel486:

      (command "_.hatchtoback"))
 aber er soll auch nur die SOLIDS nach hinten legen...[/URL]

F1 - HatchToBack

Siehe auch, AutoCAD-Befehl: F1 - ZEICHREIHENF

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 311
Registriert: 15.07.2011

ACA2018
Windows10

erstellt am: 06. Feb. 2020 15:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Manuel486 10 Unities + Antwort hilfreich

Hier mal was zum Testen.
Code:
(defun c:test (/)
  (if (setq AWSHatch (ssget "_X" (list (cons 0 "HATCH"))))
    (progn
      (foreach teil (mapcar 'cadr (ssnameX AWSHatch))
(setpropertyvalue teil "Color" "9")
      )
      (command "draworder" AWSHatch "" "unten")
    )
  )
  (setq AWSHatch nil)
  (if (setq AWSHatch (ssget "_X" (list (cons 0 "HATCH") (cons 2 "SOLID"))))
(progn
    (foreach teil (mapcar 'cadr (ssnameX AWSHatch))
(setpropertyvalue teil "Color" "PANTONE+ Pastels & Neons Coated,PANTONE 9064 C")
      )
(command "draworder" AWSHatch "" "unten")
    )
  )
)

------------------
Gruß Wolfgang 

[Diese Nachricht wurde von Meldin am 07. Feb. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Manuel486
Mitglied
Technischer Zeichner Elektro


Sehen Sie sich das Profil von Manuel486 an!   Senden Sie eine Private Message an Manuel486  Schreiben Sie einen Gästebucheintrag für Manuel486

Beiträge: 12
Registriert: 31.01.2020

Windows 10 - 64-Bit - 16GB RAM - Intel Xeon CPU E5-2620 v2 @ 2.10 GHz
AutoCAD MEP 2019 - Revit 2019

erstellt am: 12. Feb. 2020 16:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Genau so brauche ich den Befehl 
Vielen dank.

Thema kann geschlossen werden.
Oder kann ich das auch selbst Grün abhaken?


MFG
Manuel486

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz